ข้ามไปยังเนื้อหา

FFmpeg API Compose

ผสานการทำงาน

ID โมเดล ffmpeg-api/compose
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/compose?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "tracks": [
      {
        "id": "your-id",
        "type": "example",
        "keyframes": [
          {
            "timestamp": 1,
            "duration": 1,
            "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
          }
        ]
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: ≈$0.001 1 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API

รวมแทร็กหลายรายการเป็นวิดีโอเดียว โดยมีแทร็กภาพเพียงหนึ่งแทร็กและแทร็กเสียงจำนวนเท่าใดก็ได้

Utility · ข้อมูล (JSON)

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น

รายการแทร็กสำหรับประกอบสื่อขั้นสุดท้าย ประกอบด้วยแทร็กวิดีโอหรือรูปภาพจำนวนหนึ่งแทร็กพอดี และแทร็กเสียงจำนวนเท่าใดก็ได้

POST /run/ffmpeg-api/compose?wait=20 ใบเสนอราคา → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/compose?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "tracks": [
      {
        "id": "your-id",
        "type": "example",
        "keyframes": [
          {
            "timestamp": 1,
            "duration": 1,
            "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
          }
        ]
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ FFmpeg API Compose

สร้างวิดีโอสุดท้ายจากรายการ `tracks` รายการนี้ต้องมีแทร็กภาพหนึ่งแทร็กพอดี ซึ่งเป็นวิดีโอหรือภาพก็ได้ และอาจมีแทร็กเสียงจำนวนเท่าใดก็ได้ ผลลัพธ์เป็น JSON ที่มี `video_url` และ `thumbnail_url`

พารามิเตอร์

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
tracksจำเป็น
ประเภทobject[]
รายการแทร็กสำหรับประกอบสื่อขั้นสุดท้าย ประกอบด้วยแทร็กวิดีโอหรือรูปภาพจำนวนหนึ่งแทร็กพอดี และแทร็กเสียงจำนวนเท่าใดก็ได้
tracks[].idจำเป็น
ประเภทstring
ตัวระบุที่ระบุแทร็กได้โดยไม่ซ้ำกัน
tracks[].typeจำเป็น
ประเภทstring
หมวดหมู่แทร็ก: 'video', 'audio' หรือ 'image'
tracks[].keyframesจำเป็น
ประเภทobject[]
คีย์เฟรมที่ประกอบเป็นแทร็ก ซึ่งระบุในรูปแบบรายการ
tracks[].keyframes[].timestampจำเป็น
ประเภทnumber
เวลาเริ่มต้นของคีย์เฟรม ระบุเป็นมิลลิวินาที
tracks[].keyframes[].durationจำเป็น
ประเภทnumber
ความยาวของคีย์เฟรม ระบุเป็นมิลลิวินาที
tracks[].keyframes[].urlจำเป็น
ประเภทstring
URL ที่ให้สิทธิ์เข้าถึงไฟล์สื่อสำหรับคีย์เฟรมนี้
จำเป็น

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ffmpeg-api/compose",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "tracks": [
      {
        "id": "your-id",
        "type": "example",
        "keyframes": [
          {
            "timestamp": 1,
            "duration": 1,
            "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
          }
        ]
      }
    ]
  },
  "output": {
    "video_url": "string",
    "thumbnail_url": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
video_url
string (video URL)URL ที่ชี้ไปยังวิดีโอที่ประมวลผลแล้ว
thumbnail_url
stringURL ที่ชี้ไปยังภาพขนาดย่อของวิดีโอ

โมเดลเพิ่มเติม: วิดีโอเป็นวิดีโอ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/ffmpeg-api/compose.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt